Bug 179171 - CVE-2005-4134 Very long topic history.dat DoS
CVE-2005-4134 Very long topic history.dat DoS
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-01-27 16:06 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0200
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-02 10:46:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-01-27 16:06:57 EST
Very long topic history.dat DoS

Firefox will log various bits of URL information into the history.dat
file. A VERY long title logged to the history.dat file will cause
Mozilla to startup very slows and eat a great deal of memory.  This
behavior will persist until the history information is cleared.


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 5 Red Hat Bugzilla 2006-02-02 10:46:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.